<?php
namespace Claromentis\Core\Ai\Adapters\Vertex\Helpers;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array();






class VertexAiHarmProbability
{
    
    
    
    
    
    
    public const HARM_PROBABILITY_NEGLIGIBLE = 'NEGLIGIBLE';
    
    
    
    
    
    
    public const HARM_PROBABILITY_LOW = 'LOW';
    
    
    
    
    
    
    public const HARM_PROBABILITY_MEDIUM = 'MEDIUM';
    
    
    
    
    
    
    public const HARM_PROBABILITY_HIGH = 'HIGH';
    
    
    
    
    
    
    
    public static function find(string $_9b5a68836f2ef9677cb3698d9d6970d7)
    {
        switch ($_9b5a68836f2ef9677cb3698d9d6970d7) {
            case static::HARM_PROBABILITY_NEGLIGIBLE:
            case static::HARM_PROBABILITY_LOW:
            case static::HARM_PROBABILITY_MEDIUM:
            case static::HARM_PROBABILITY_HIGH:
                return $_9b5a68836f2ef9677cb3698d9d6970d7;
        }
        return null;
    }
}